function [f,g] = FUN1(x)
global F_index
   
% Min vol and max of stresses 

E = 29e3; 
L = 60; %ft

A1 = x(1); A2 = x(2); A3 = x(3); xpos = x(4);
t = x(5); a = x(6);
u = x(7); y = x(8);
maxstress = x(9);

if F_index == 1, 
   f = (A1/sin(t) + A2 + A3/sin(a))*(L/144); %Volume of design in cu. ft. 
end 
if F_index == 2,
   f =  (1e-2)*maxstress;% Maximum of bar stresses (ksi)
end  

[fdummy, ce, ci] = FUN(x);

g = [ce;ci];